<?xml version="1.0" encoding="UTF-8"?><MASFACTOR desc_eng="Master ASFACTOR Table" desc_thai="ทะเบียนข้อมูลบุคคล" editcheck="true" mainhelp="MASFACTORHELP" referhelp="MASFACTORHELP" mainkey="EMPID" fieldsystem="*" protype="table" deleteflag="true" config_field="">
	<FIELD>
<EMPID lang="A" encrypt="false" log="false" type="String">
			<KEY>1</KEY>
			<RELATION>TAPSTRAN</RELATION>
			<RELATION>VTAPSTRAN</RELATION>
			<RELATION>VTASTRAN</RELATION>
			<WIDTH>15</WIDTH>
			<DESC_ENG>Code</DESC_ENG>
			<DESC_THAI>รหัส</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>15</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_ENG>Code</ALT_ENG>
				<ALT_THAI>รหัส</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMPID>
		<EMPPREFIX lang="A" encrypt="false" log="false" type="String">
			<WIDTH>2</WIDTH>
			<DESC_ENG>Prefix</DESC_ENG>
			<DESC_THAI>คำนำหน้า</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>2</SIZE>
				<MAXSIZE>2</MAXSIZE>
				<ALT_ENG>Prefix</ALT_ENG>
				<ALT_THAI>คำนำหน้า</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMPPREFIX>
		<EMPPREFIXNAME lang="A" encrypt="false" log="false" type="String">
			<WIDTH>20</WIDTH>
			<DESC_ENG>Prefix</DESC_ENG>
			<DESC_THAI>คำนำหน้า</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>20</SIZE>
				<MAXSIZE>20</MAXSIZE>
				<ALT_ENG>Prefix</ALT_ENG>
				<ALT_THAI>คำนำหน้า</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMPPREFIXNAME>
		<EMPTFNAME lang="A" encrypt="false" log="false" type="String">
			<WIDTH>30</WIDTH>
			<DESC_ENG>Name(Thai)</DESC_ENG>
			<DESC_THAI>ชื่อ(ไทย)</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>30</SIZE>
				<MAXSIZE>30</MAXSIZE>
				<ALT_ENG>Name(Thai)</ALT_ENG>
				<ALT_THAI>ชื่อ(ไทย)</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMPTFNAME>
		<EMPTLNAME lang="A" encrypt="false" log="false" type="String">
			<WIDTH>30</WIDTH>
			<DESC_ENG>Surename(Thai)</DESC_ENG>
			<DESC_THAI>สกุล(ไทย)</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>30</SIZE>
				<MAXSIZE>30</MAXSIZE>
				<ALT_ENG>Surename(Thai)</ALT_ENG>
				<ALT_THAI>สกุล(ไทย)</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMPTLNAME>
		<EMPTDESC lang="A" encrypt="false" log="false" type="String">
			<WIDTH>256</WIDTH>
			<DESC_ENG>description(Thai)</DESC_ENG>
			<DESC_THAI>รายละเอียด(ไทย)</DESC_THAI>
			<COMPONENT type="TEXTAREA">
				<SIZE>50</SIZE>
				<LINE>5</LINE>
				<ALT_ENG>description(Thai)</ALT_ENG>
				<ALT_THAI>รายละเอียด(ไทย)</ALT_THAI>
<SIZECHAR>50</SIZECHAR>
<LINES>5</LINES></COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMPTDESC>
		<EMPECOMPNAME lang="A" encrypt="false" log="false" type="String">
			<WIDTH>256</WIDTH>
			<DESC_ENG>description(Thai)</DESC_ENG>
			<DESC_THAI>รายละเอียด(ไทย)</DESC_THAI>
			<COMPONENT type="TEXTAREA">
				<SIZE>50</SIZE>
				<LINE>5</LINE>
				<ALT_ENG>description(Thai)</ALT_ENG>
				<ALT_THAI>รายละเอียด(ไทย)</ALT_THAI>
<SIZECHAR>50</SIZECHAR>
<LINES>5</LINES></COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMPECOMPNAME>
		<EMPCOMPNAME lang="A" encrypt="false" log="false" type="String">
			<WIDTH>256</WIDTH>
			<DESC_ENG>description(Thai)</DESC_ENG>
			<DESC_THAI>รายละเอียด(ไทย)</DESC_THAI>
			<COMPONENT type="TEXTAREA">
				<SIZE>50</SIZE>
				<LINE>5</LINE>
				<ALT_ENG>description(Thai)</ALT_ENG>
				<ALT_THAI>รายละเอียด(ไทย)</ALT_THAI>
<SIZECHAR>50</SIZECHAR>
<LINES>5</LINES></COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMPCOMPNAME>
		<EMPEFNAME lang="A" encrypt="false" log="false" type="String">
			<WIDTH>30</WIDTH>
			<DESC_ENG>Name(Eng)</DESC_ENG>
			<DESC_THAI>ชื่อ(อังกฤษ)</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>30</SIZE>
				<MAXSIZE>30</MAXSIZE>
				<ALT_ENG>Name(Eng)</ALT_ENG>
				<ALT_THAI>ชื่อ(อังกฤษ)</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMPEFNAME>
		<EMPELNAME lang="A" encrypt="false" log="false" type="String">
			<WIDTH>30</WIDTH>
			<DESC_ENG>Surename(Eng)</DESC_ENG>
			<DESC_THAI>สกุล(อังกฤษ)</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>30</SIZE>
				<MAXSIZE>30</MAXSIZE>
				<ALT_ENG>Surename(Eng)</ALT_ENG>
				<ALT_THAI>สกุล(อังกฤษ)</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMPELNAME>
		<EMPEDESC lang="A" encrypt="false" log="false" type="String">
			<WIDTH>256</WIDTH>
			<DESC_ENG>description(Eng)</DESC_ENG>
			<DESC_THAI>รายละเอียด(อังกฤษ)</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>15</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_ENG>description(Eng)</ALT_ENG>
				<ALT_THAI>รายละเอียด(อังกฤษ)</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMPEDESC>
		<EMPPOS lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Position Code</DESC_ENG>
			<DESC_THAI>รหัสตำแหน่ง</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>10</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_ENG>Position Code</ALT_ENG>
				<ALT_THAI>รหัสตำแหน่ง</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMPPOS>
		<!--EMPEMAIL lang="A" encrypt="false"  verify="false"  log="false" type="String">
			<WIDTH>50</WIDTH>
			<DESC_ENG>Email Address</DESC_ENG>
			<DESC_THAI>อีเมล์แอดเดรส</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>50</SIZE>
				<MAXSIZE>50</MAXSIZE>
				<ALT_ENG>Email Address</ALT_ENG>
				<ALT_THAI>อีเมล์แอดเดรส</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</EMPEMAIL-->
		<EMPPOSNAME lang="A" encrypt="false" log="false" type="String">
			<WIDTH>128</WIDTH>
			<DESC_ENG>Position</DESC_ENG>
			<DESC_THAI>ตำแหน่ง</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>50</SIZE>
				<MAXSIZE>128</MAXSIZE>
				<ALT_ENG>Position</ALT_ENG>
				<ALT_THAI>ตำแหน่ง</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMPPOSNAME>
		<EMPDIV lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Division Code</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับ1</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>10</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_ENG>Division Code</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับ1</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMPDIV>
		<EMPDIVNAME lang="A" encrypt="false" log="false" type="String">
			<WIDTH>50</WIDTH>
			<DESC_ENG>Division </DESC_ENG>
			<DESC_THAI>หน่วยงานระดับ1</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>50</SIZE>
				<MAXSIZE>50</MAXSIZE>
				<ALT_ENG>Division </ALT_ENG>
				<ALT_THAI>หน่วยงานระดับ1</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMPDIVNAME>
		<EMPSEC lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Section Code</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับ2</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>10</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_ENG>Section Code</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับ2</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMPSEC>
		<!--EMPSECNAME lang="A" encrypt="false"  verify="false"  log="false" type="String">
			<WIDTH>50</WIDTH>
			<DESC_ENG>Section </DESC_ENG>
			<DESC_THAI>หน่วยงานระดับ2</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>50</SIZE>
				<MAXSIZE>50</MAXSIZE>
				<ALT_ENG>Section </ALT_ENG>
				<ALT_THAI>หน่วยงานระดับ2</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</EMPSECNAME-->
		<EMPDEPT lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Dept Code</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับ3</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>10</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_ENG>Dept Code</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับ3</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMPDEPT>
		<EMPDEPTNAME lang="A" encrypt="false" log="false" type="String">
			<WIDTH>50</WIDTH>
			<DESC_ENG>Dept </DESC_ENG>
			<DESC_THAI>หน่วยงานระดับ3</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>50</SIZE>
				<MAXSIZE>50</MAXSIZE>
				<ALT_ENG>Dept </ALT_ENG>
				<ALT_THAI>หน่วยงานระดับ3</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMPDEPTNAME>
		<EMPUNIT lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Unit Code</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับ4</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>10</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_ENG>Unit Code</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับ4</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMPUNIT>
		<EMPUNITNAME lang="A" encrypt="false" log="false" type="String">
			<WIDTH>50</WIDTH>
			<DESC_ENG>Unit </DESC_ENG>
			<DESC_THAI>หน่วยงานระดับ4</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>50</SIZE>
				<MAXSIZE>50</MAXSIZE>
				<ALT_ENG>Unit </ALT_ENG>
				<ALT_THAI>หน่วยงานระดับ4</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMPUNITNAME>
		<EMPTYPE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>50</WIDTH>
			<DESC_ENG>Factor type</DESC_ENG>
			<DESC_THAI>ประเภท</DESC_THAI>
			<COMPONENT type="Text">
<SIZE>10</SIZE>
				<MAXSIZE>50</MAXSIZE>
				<ALT_ENG>Factor type</ALT_ENG>
				<ALT_THAI>ประเภท</ALT_THAI>
			</COMPONENT>
		</EMPTYPE>
		<EMPGROUP lang="A" encrypt="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<DESC_ENG>Employee group</DESC_ENG>
			<DESC_THAI>กลุ่มพนักงาน</DESC_THAI>
			<COMPONENT type="Text">
<SIZE>15</SIZE>
				<ALT_ENG>Employee group</ALT_ENG>
				<ALT_THAI>กลุ่มพนักงาน</ALT_THAI>
			</COMPONENT>
		</EMPGROUP>
		<EMPGROUPDESC lang="A" encrypt="false" log="false" type="String">
			<WIDTH>128</WIDTH>
			<DESC_ENG>group name</DESC_ENG>
			<DESC_THAI>ชื่อกลุ่มพนักงาน</DESC_THAI>
			<COMPONENT type="Text">
<SIZE>128</SIZE>
				<ALT_ENG>group  name</ALT_ENG>
				<ALT_THAI>ชื่อกลุ่มพนักงาน</ALT_THAI>
			</COMPONENT>
		</EMPGROUPDESC>
		<EMPWEIGHT lang="A" encrypt="false" log="false" type="Double">
			<WIDTH>12</WIDTH>
			<DESC_ENG>Weight</DESC_ENG>
			<DESC_THAI>น้ำหนัก </DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>7</SIZE>
				<MAXSIZE>7</MAXSIZE>
				<ALT_ENG>Weight</ALT_ENG>
				<ALT_THAI>น้ำหนัก </ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</EMPWEIGHT>
		<SUPERVISOR lang="A" encrypt="false" log="false" type="String">
			<WIDTH>255</WIDTH>
			<DESC_ENG>Supervisor</DESC_ENG>
			<DESC_THAI>หัวหน้า</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>70</SIZE>
				<MAXSIZE>255</MAXSIZE>
				<ALT_ENG>Supervisor</ALT_ENG>
				<ALT_THAI>หัวหน้า</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</SUPERVISOR>
		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<WIDTH>255</WIDTH>
			<DESC_ENG>Company Code</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="Text">
<SIZE>70</SIZE>
				<MAXSIZE>255</MAXSIZE>
				<ALT_ENG>Company Code</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
			</COMPONENT>
<APPNAME name="TRAINING">
			<DESC_ENG>Company Code</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
				<COMPONENT type="Text">
				<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_ENG>Company Code</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
			</COMPONENT></APPNAME>
</COMPANYID>
		<!--EDIT_BY  lang="A" encrypt="false"  verify="false"  log="false" type="String">
			<WIDTH>100</WIDTH>
			<DESC_ENG>Edit by</DESC_ENG>
			<DESC_THAI>แก้ไขโดย</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>50</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Edit by</ALT_ENG>
				<ALT_THAI>แก้ไขโดย</ALT_THAI>
			</COMPONENT>
		</EDIT_BY>
		<EDIT_DATE  lang="A" encrypt="false"  verify="false"  log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Edit date</DESC_ENG>
			<DESC_THAI>แก้ไขเมื่อ</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>10</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_ENG>Edit date</ALT_ENG>
				<ALT_THAI>แก้ไขเมื่อ</ALT_THAI>
			</COMPONENT>
		</EDIT_DATE>
		<EDIT_TIME  lang="A" encrypt="false"  verify="false"  log="false" type="String">
			<WIDTH>8</WIDTH>
			<DESC_ENG>Edit time</DESC_ENG>
			<DESC_THAI>แก้ไขเวลา</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>8</SIZE>
				<MAXSIZE>8</MAXSIZE>
				<ALT_ENG>Edit time</ALT_ENG>
				<ALT_THAI>แก้ไขเวลา</ALT_THAI>
			</COMPONENT>
		</EDIT_TIME>
		<APPROVE  lang="A" encrypt="false"  verify="false"  log="false" type="String">
			<WIDTH>100</WIDTH>
			<DESC_ENG>Approvor</DESC_ENG>
			<DESC_THAI>ผู้ยืนยัน</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>50</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Approvor</ALT_ENG>
				<ALT_THAI>ผู้ยืนยัน</ALT_THAI>
			</COMPONENT>
		</APPROVE>
		<VERIFIED  lang="A" encrypt="false"  verify="false"  log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Verified</DESC_ENG>
			<DESC_THAI>ยืนยัน</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>3</SIZE>
				<MAXSIZE>1</MAXSIZE>
				<ALT_ENG>Verified</ALT_ENG>
				<ALT_THAI>ยืนยัน</ALT_THAI>
			</COMPONENT>
		</VERIFIED-->
</FIELD>
	<RELATION>
	</RELATION>
</MASFACTOR>
